<?php

/* 

Logging Stub for LM-Light
This Rev = 1.02 - Monday, July 21, 2008
Copyright 2005-2008, Addison Robson LLC

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

For more information, visit http://www.lm-light.net

*/

$logFile = fopen("LM-Light.log","a");
$thisFile = $_SERVER['SCRIPT_FILENAME'];

fwrite($logFile,"\n****************************************\n");
fwrite($logFile,"Loaded LM-Light: Viewing $thisFile\n");

function LMsetBookmark() {
	global $logFile;
	global $thisFile;
	fwrite($logFile,"LMsetBookmark: Bookmarking $thisFile\n");
}

function LMregisterTestAttempt() {
	global $logFile;
	global $thisFile;
	fwrite($logFile,"LMregisterTestAttempt: Registering Test Attempt in $thisFile\n");
}

function LMsetTestScore() {
	global $logFile;
	global $thisFile;
	$score = $_REQUEST['LMtestScore'];
	fwrite($logFile,"LMsetTestScore: Saving Test Score [$score%] in $thisFile\n");
}

function LMsetCourseComplete() {
	global $logFile;
	global $thisFile;
	fwrite($logFile,"LMsetCourseComplete: Setting Course Complete in $thisFile\n");
}

?>